#include "Application.h"
#include <QKeyEvent>
#include <QDebug>
#include "./BackEnd/MainWidget.h"
#include "BaseWidget.h"
#include "menu/BaseWidgetMenu.h"

Application::Application(int &argc, char **argv, int flags) : QApplication(argc,argv,flags) {
}

Application::~Application() = default;


bool Application::notify(QObject *object, QEvent *event) {
    if(
        true
        &&event->type() != QEvent::Timer
        &&event->type() != QEvent::ZeroTimerEvent
        &&event->type() != QEvent::FocusIn
        &&event->type() != QEvent::Wheel
        &&event->type() != QEvent::KeyPress
        ) {
        //qDebug() << object << event->type() << event;
    }



    return QApplication::notify(object, event);
}
